(function () {
    var spy = function (ctx) {
        // get the default templates for each field type
        var templatesByType = SPClientTemplates._defaultTemplates.Fields.default.all.all;
        // get the default templates for the current field type
        var currentTemplate = templatesByType[ctx.CurrentFieldSchema.Type];
        // get the render function by view id (i.e. NewForm, EditForm, or DisplayForm)
        var currentRenderFunc = currentTemplate[ctx.BaseViewID];
        // call the render function
        var result = currentRenderFunc(ctx);
        // do your own work here
        return result;
    }

    var overrides = {
        Templates: {
            'Fields': {
            	'Title': {
                    'NewForm': spy,
                    'EditForm': spy,
                    'DisplayForm': spy
                
                }
            }
        }
    };

    // register the template overrides
    SPClientTemplates.TemplateManager.RegisterTemplateOverrides(overrides);
})();
